org.apache.uima.jcas.cas

## Class IntegerArray_Type

- java.lang.Object
- - org.apache.uima.jcas.cas.TOP_Type
  - - org.apache.uima.jcas.cas.CommonArray_Type
    - - org.apache.uima.jcas.cas.IntegerArray_Type

-     public class IntegerArray_Type
      extends CommonArray_Type

  The java Cas model for the CAS IntegerArray_JCasImpl Type This is not final because the migration from pre v08 has the old xxx_Type as a subclass of this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `typeIndexID` this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP_Type

      `casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerArray_Type(JCas jcas, Type casType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(int addr, int[] src, int srcOffset, int destOffset, int length)`
    `void` | `copyToArray(int addr, int srcOffset, int[] dest, int destOffset, int length)`
    `int` | `get(int addr, int i)`
    `protected org.apache.uima.cas.impl.FSGenerator<?>` | `getFSGenerator()`
    `void` | `set(int addr, int i, int v)` updates the Cas from the passed in Java value.
    `int[]` | `toArray(int addr)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.CommonArray_Type

      `size`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP_Type

      `addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      this types ID - used to index a localTypeArray in JCas to get an index which indexes the global typeArray in JCas instance to get a ref to this instance

  - ### Constructor Detail

    - #### IntegerArray_Type

          public IntegerArray_Type(JCas jcas,
                                   Type casType)

  - ### Method Detail

    - #### getFSGenerator

          protected org.apache.uima.cas.impl.FSGenerator<?> getFSGenerator()

      Overrides:
        `getFSGenerator` in class `TOP_Type`

    - #### get

          public int get(int addr,
                         int i)

      Parameters:
        `addr` - low level CAS Feature Structure reference
        `i` - the index
      Returns:
        the indexed value from the corresponding Cas IntegerArray
      See Also:
        `IntArrayFS.get(int)`

    - #### set

          public void set(int addr,
                          int i,
                          int v)

      updates the Cas from the passed in Java value.
      Parameters:
        `addr` - low level CAS Feature Structure reference
        `i` - the index
        `v` - the value
      See Also:
        `IntArrayFS.set(int, int)`

    - #### copyFromArray

          public void copyFromArray(int addr,
                                    int[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Parameters:
        `addr` - low level CAS Feature Structure reference
        `src` - the source (Java object) to copy from
        `srcOffset` - the source offset
        `destOffset` - the destination (the CAS Feature Structure) offset
        `length` - number of items to copy
      See Also:
        `IntArrayFS.copyFromArray(int[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int addr,
                                  int srcOffset,
                                  int[] dest,
                                  int destOffset,
                                  int length)

      Parameters:
        `addr` - low level CAS Feature Structure reference
        `srcOffset` - The CAS source offset
        `dest` - the Java object to copy into
        `destOffset` - the destination offset
        `length` - number of items to copy
      See Also:
        `IntArrayFS.copyToArray(int, int[], int, int)`

    - #### toArray

          public int[] toArray(int addr)

      Parameters:
        `addr` - low level CAS Feature Structure reference
      Returns:
        a copy of the CAS array as a Java object
      See Also:
        `IntArrayFS.toArray()`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.